JavaScript
import Opriven from '@opriven/sdk';
const client = new Opriven({
apiKey: process.env['OPRIVEN_API_KEY'], // This is the default and can be omitted
});
const issue = await client.issues.retrieveByNumber(123);
console.log(issue.uuid);curl --request GET \
--url https://bff.opriven.com/api/v2/issues/by_number/{number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://bff.opriven.com/api/v2/issues/by_number/{number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/by_number/{number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bff.opriven.com/api/v2/issues/by_number/{number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues/by_number/{number}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bff.opriven.com/api/v2/issues/by_number/{number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"number": 4503599627370495,
"title": "<string>",
"description": "<string>",
"severity": "low",
"status": "investigating",
"environment": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"seedCount": 4503599627370495,
"seeds": [
{
"publicUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seedType": "alert",
"provider": "datadog",
"providerReferenceId": "<string>",
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"triggeredAt": "2023-11-07T05:31:56Z",
"link": "<string>",
"query": "<string>",
"rawPayload": {}
}
],
"latestVersion": 4503599627370496,
"versions": [
{
"uuid": "<string>",
"version": 4503599627370496,
"status": "SUCCESS",
"description": "<string>"
}
]
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Issues
Fetch issue by number
Lightweight endpoint to retrieve basic issue information by issue number
GET
/
issues
/
by_number
/
{number}
JavaScript
import Opriven from '@opriven/sdk';
const client = new Opriven({
apiKey: process.env['OPRIVEN_API_KEY'], // This is the default and can be omitted
});
const issue = await client.issues.retrieveByNumber(123);
console.log(issue.uuid);curl --request GET \
--url https://bff.opriven.com/api/v2/issues/by_number/{number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://bff.opriven.com/api/v2/issues/by_number/{number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/by_number/{number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bff.opriven.com/api/v2/issues/by_number/{number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues/by_number/{number}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bff.opriven.com/api/v2/issues/by_number/{number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"number": 4503599627370495,
"title": "<string>",
"description": "<string>",
"severity": "low",
"status": "investigating",
"environment": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"seedCount": 4503599627370495,
"seeds": [
{
"publicUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seedType": "alert",
"provider": "datadog",
"providerReferenceId": "<string>",
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"triggeredAt": "2023-11-07T05:31:56Z",
"link": "<string>",
"query": "<string>",
"rawPayload": {}
}
],
"latestVersion": 4503599627370496,
"versions": [
{
"uuid": "<string>",
"version": 4503599627370496,
"status": "SUCCESS",
"description": "<string>"
}
]
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Headers
Path Parameters
Response
Issue details
Earliest trigger time from seeds
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Date and time the issue was created
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Date and time the issue was last updated
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$